# Trait ethcore::evm::evm::Evm [−] [src]

    pub trait Evm {
        fn exec(&mut self, params: ActionParams, ext: &mut Ext) -> Result<GasLeft>;
    }

Evm interface

## Required Methods

### `fn exec(&mut self, params: ActionParams, ext: &mut Ext) -> Result<GasLeft>`

This function should be used to execute transaction.

It returns either an error, a known amount of gas left, or parameters to be used to compute the final gas left.

## Implementors

- `impl<Cost: CostType> Evm for Interpreter<Cost>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)